Class Fox::FXTreeItem

In: | FXTreeList.rb ../lib/fox/core.rb ../lib/fox/iterators.rb
Parent: | FXObject

Tree list item

Methods

<=> create destroy detach draggable? each enabled? expanded? getHeight getWidth hasFocus? iconOwned? new opened? selected? setFocus to_s

Attributes

above | [R] | Item logically above this item [FXTreeItem]
below | [R] | Item logically below this item [FXTreeItem]
closedIcon | [RW] | Closed icon [FXIcon]
data | [RW] | User data [Object]
draggable | [W] | Indicates whether the item is draggable [Boolean]
enabled | [W] | Indicates whether the item is enabled [Boolean]
expanded | [W] | Indicates whether the item is expanded [Boolean]
first | [R] | First child item [FXTreeItem]
last | [R] | Last child item [FXTreeItem]
next | [R] | Next sibling item [FXTreeItem]
numChildren | [R] | Number of child items [Integer]
openIcon | [RW] | Open icon [FXIcon]
opened | [W] | Indicates whether the item is opened [Boolean]
parent | [R] | Parent item [FXTreeItem]
prev | [R] | Previous sibling item [FXTreeItem]
selected | [W] | Indicates whether the item is selected [Boolean]
text | [RW] | Item text [String]

Included modules

Enumerable

Public Class methods

new(text, openIcon=nil, closedIcon=nil, data=nil) {|theItem| ...}

Construct a new tree item

Public Instance methods

setFocus(focus)

Set the focus on this tree item (focus is either `true` or `false`)

hasFocus?()

Returns `true` if this item has the focus

selected?()

Returns `true` if this item is selected

opened?()

Returns `true` if this item is opened

expanded?()

Returns `true` if this item is expanded

enabled?()

Returns `true` if this item is enabled

draggable?()

Returns `true` if this item is draggable

iconOwned?()

Returns `true` if this item owns its icons

to_s()

Returns the item’s text

getWidth(treeList)

Get the width of this item

getHeight(treeList)

Get the height of this item

create()

Create this tree item

detach()

Detach this tree item

destroy()

Destroy this tree item

<=>(otherItem)

each() {|aTreeItem| ...}

Calls block once for each child of this tree item, passing a reference to that child item as a parameter.